GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Static Public Member Functions | Static Private Attributes | List of all members
GpgFrontend::CoreCommonUtil Class Reference
Inheritance diagram for GpgFrontend::CoreCommonUtil:
Collaboration diagram for GpgFrontend::CoreCommonUtil:

## Signals
void | SignalGnupgNotInstall ()

## Static Public Member Functions
static CoreCommonUtil * | GetInstance ()
| Construct a new Core Common Util object. More...

## Static Private Attributes
static std::unique_ptr< CoreCommonUtil > | instance_ = nullptr

## Member Function Documentation

## ◆ GetInstance()

CoreCommonUtil * GpgFrontend::CoreCommonUtil::GetInstance | ( |  | ) |
| static

Construct a new Core Common Util object.

Referenced by GpgFrontend::UI::CommonUtils::CommonUtils(), and GpgFrontend::CtxCheckThread::CtxCheckThread().

The documentation for this class was generated from the following files:

- src/core/common/CoreCommonUtil.h
- src/core/common/CoreCommonUtil.cpp